--------------------------------------------------------
--  DDL for Table BIOSAMPLE
--------------------------------------------------------

  CREATE TABLE "GOLD"."BIOSAMPLE" ("BIOSAMPLE_ID" NUMBER, "BIOSAMPLE_NAME" VARCHAR2(3000 BYTE), "ADD_DATE" TIMESTAMP (6), "MOD_DATE" TIMESTAMP (6), "MOD_BY" NUMBER(*,0), "DESCRIPTION" VARCHAR2(3000 BYTE), "ECOSYSTEM" VARCHAR2(1000 BYTE), "ECOSYSTEM_CATEGORY" VARCHAR2(1000 BYTE), "ECOSYSTEM_TYPE" VARCHAR2(1000 BYTE), "ECOSYSTEM_SUBTYPE" VARCHAR2(1000 BYTE), "SPECIFIC_ECOSYSTEM" VARCHAR2(1000 BYTE), "SAMPLE_COLLECTION_SITE" VARCHAR2(4000 BYTE), "ISOLATION_PUBLICATION_ID" NUMBER(*,0), "SAMPLE_ISOLATION_COMMENTS" VARCHAR2(4000 BYTE), "SAMPLING_STRATEGY" VARCHAR2(1000 BYTE), "REPLICATE_NUMBER" NUMBER(*,0), "SAMPLE_VOLUME" VARCHAR2(200 BYTE), "SAMPLE_BIOMASS" VARCHAR2(200 BYTE), "SAMPLE_CONTACT_NAME" VARCHAR2(255 BYTE), "SAMPLE_CONTACT_EMAIL" VARCHAR2(128 BYTE), "GEOGRAPHIC_LOCATION" VARCHAR2(1000 BYTE), "LAT_LONG_INFERRED" VARCHAR2(64 BYTE), "SALINITY" VARCHAR2(128 BYTE), "PRESSURE" VARCHAR2(128 BYTE), "PH" VARCHAR2(128 BYTE), "HABITAT" VARCHAR2(1000 BYTE), "HOST_NAME" VARCHAR2(1000 BYTE), "HOST_TAXONOMY_ID" NUMBER(*,0), "HOST_GENDER" VARCHAR2(1000 BYTE), "HOST_RACE" VARCHAR2(1000 BYTE), "HOST_AGE" VARCHAR2(1000 BYTE), "HOST_HEALTH_CONDITION" VARCHAR2(1000 BYTE), "PATIENT_VISIT_NUMBER" NUMBER(*,0), "HOST_MEDICATION" VARCHAR2(1000 BYTE), "MRN" VARCHAR2(1000 BYTE), "HOST_BODY_SITE" VARCHAR2(1000 BYTE), "HOST_BODY_SUBSITE" VARCHAR2(1000 BYTE), "HOST_BODY_PRODUCT" VARCHAR2(1000 BYTE), "HOST_SPECIFICITY" VARCHAR2(1000 BYTE), "HOST_COMMENTS" VARCHAR2(1000 BYTE), "ACTIVE" VARCHAR2(3 BYTE) DEFAULT 'Yes', "PROJECT_OID" NUMBER(*,0), "SAMPLE_OID" NUMBER(*,0), "GOLD_ID" VARCHAR2(9 BYTE), "IS_PUBLIC" VARCHAR2(20 BYTE) DEFAULT 'No', "SPECIMEN" VARCHAR2(100 BYTE), "SUBMIT_BIOSAMPLE_NAME" VARCHAR2(2000 BYTE), "NCBI_TAXONOMY_ID" NUMBER(*,0), "COMMUNITY" VARCHAR2(1000 BYTE), "LOCATION" VARCHAR2(1000 BYTE), "IDENTIFIER" VARCHAR2(1000 BYTE), "ENV_PACKAGE" VARCHAR2(200 BYTE), "SAMPLE_COLLECTION_DAY" NUMBER(*,0), "SAMPLE_COLLECTION_MONTH" NUMBER(*,0), "SAMPLE_COLLECTION_YEAR" NUMBER(*,0), "SUBMITTER_ID" NUMBER(*,0), "GROWTH_CONDITIONS" VARCHAR2(1000 BYTE), "JPA_ENTITY" VARCHAR2(100 BYTE), "OTHER_HOSTS" VARCHAR2(1000 BYTE), "KNOWN_NON_HOSTS" VARCHAR2(200 BYTE), "ISOLATION_PUBMED_ID" NUMBER, "HOST_BODY_SITE_ID" NUMBER DEFAULT NULL, "HOST_BODY_SUBSITE_ID" NUMBER DEFAULT NULL, "HOST_BODY_PRODUCT_ID" NUMBER DEFAULT NULL, "IS_DRAFT" VARCHAR2(3 BYTE) DEFAULT 'No', "SAMPLE_ISOLATION_COUNTRY_ID" NUMBER, "OTHER_ECOSYSTEM" VARCHAR2(250 BYTE), "LONGHURST_CODE" VARCHAR2(4 BYTE), "SAMPLE_COLLECTION_HOUR" NUMBER(2,0), "SAMPLE_COLLECTION_MINUTE" NUMBER(2,0), "CHLOROPHYLL_CONCENTRATION" VARCHAR2(50 BYTE), "NITRATE_CONCENTRATION" VARCHAR2(50 BYTE), "OXYGEN_CONCENTRATION" VARCHAR2(50 BYTE), "SALINITY_CONCENTRATION" VARCHAR2(50 BYTE), "PUBLIC_SP_COUNT" NUMBER DEFAULT 0, "ADMIN_SP_COUNT" NUMBER DEFAULT 0, "PUBLIC_AP_COUNT" NUMBER DEFAULT 0, "ADMIN_AP_COUNT" NUMBER DEFAULT 0, "PUBLIC_DAP_COUNT" NUMBER DEFAULT 0, "ADMIN_DAP_COUNT" NUMBER DEFAULT 0, "CRUISE_LINE_NAME" VARCHAR2(100 BYTE), "ECOSYSTEM_PATH_ID" NUMBER(38,0), "PROPORT_OCEAN" VARCHAR2(24 BYTE), "PROPORT_ISOLATION" VARCHAR2(240 BYTE), "PROPORT_STATION" VARCHAR2(50 BYTE), "PROPORT_WOA_TEMPERATURE" NUMBER(10,5), "PROPORT_WOA_SALINITY" NUMBER(10,5), "PROPORT_WOA_DISSOLVED_OXYGEN" NUMBER(10,5), "PROPORT_WOA_SILICATE" NUMBER(10,5), "PROPORT_WOA_PHOSPHATE" NUMBER(10,5), "PROPORT_WOA_NITRATE" NUMBER(10,5), "NCBI_TAXONOMY_NAME" VARCHAR2(512 BYTE), "ITS_GROWTH_CONDITIONS" VARCHAR2(4000 BYTE), "BIOGAS_FED_SUBSTRATES" VARCHAR2(100 BYTE), "BIOGAS_RETENTION_TIME" VARCHAR2(40 BYTE), "BIOGAS_TEMPERATURE" VARCHAR2(40 BYTE), "BIOGAS_YIELD" VARCHAR2(50 BYTE), "BIOGAS_VOLATILE_ORGANIC_ACIDS" VARCHAR2(50 BYTE), "BIOGAS_TOTAL_INORGANIC_CARBON" VARCHAR2(50 BYTE), "BIOGAS_VOA_TIC" VARCHAR2(50 BYTE), "BIOGAS_AMMONIUM_NH4" VARCHAR2(50 BYTE), "BIOGAS_BUTANOL" VARCHAR2(40 BYTE), "BIOGAS_ETHANOL" VARCHAR2(40 BYTE), "BIOGAS_PROPANOL" VARCHAR2(40 BYTE), "BIOGAS_METHANOL" VARCHAR2(40 BYTE), "BIOGAS_ACETIC_ACID" VARCHAR2(40 BYTE), "BIOGAS_BUTYL_ACID" VARCHAR2(40 BYTE), "BIOGAS_ISO_BUTYL_ACID" VARCHAR2(40 BYTE), "BIOGAS_VALERIC_ACID" VARCHAR2(40 BYTE), "BIOGAS_ISO_VALERIC_ACID" VARCHAR2(40 BYTE), "BIOGAS_PROPIONIC_ACID" VARCHAR2(40 BYTE), "BIOGAS_METHANE_PCT" NUMBER(5,2), "IS_TEST" VARCHAR2(100 BYTE) DEFAULT 'No', "SAMPLE_CONDUCTIVITY" VARCHAR2(24 BYTE), "GROWTH_TEMPERATURE" NUMBER, "SUBSURFACE_DEPTH" NUMBER, "LEGACY_DEPTH_DATA" VARCHAR2(256 BYTE), "LATITUDE_TEST" NUMBER, "LONGITUDE_TEST" NUMBER, "ELEVATION" NUMBER, "ELEVATION2" NUMBER, "TOT_ORG_CARBON" NUMBER, "TOT_NITROGEN" VARCHAR2(250 BYTE), "LATITUDE" NUMBER, "LONGITUDE" NUMBER, "DEPTH" NUMBER, "DEPTH2" NUMBER, "ALTITUDE" NUMBER, "ALTITUDE2" NUMBER, "SOLUBLE_IRON_MICROMOL" NUMBER, "BICARBONATE_MILLIMOL" NUMBER, "H2S_MILLIMOL" NUMBER, "H2S_PRESENT" VARCHAR2(8 BYTE), "IRRADIANCE" VARCHAR2(24 BYTE), "OXYGEN_PRESENCE" VARCHAR2(24 BYTE), "METHANE_CONC_MILLIMOL" NUMBER, "GROWTH_TEMPERATURE2" NUMBER, "ANNOTATOR_COMMENTS" VARCHAR2(4000 BYTE), "SUBSURFACE_DEPTH2" NUMBER, "PH1" NUMBER, "PH2" NUMBER, "SOIL_PACKAGE_ID" NUMBER, "WATER_PACKAGE_ID" NUMBER, "GLOBAL_PACKAGE_ID" NUMBER, "ENV_BROAD_SCALE" VARCHAR2(50 BYTE), "ENV_LOCAL_SCALE" VARCHAR2(50 BYTE), "ENV_MEDIUM" VARCHAR2(50 BYTE), "PLANT_PACKAGE_ID" NUMBER, "HYDROCARBON_FS_PACKAGE_ID" NUMBER, "HYDROCARBON_CORE_PACKAGE_ID" NUMBER, "MICROBIAL_MAT_PACKAGE_ID" NUMBER, "SEDIMENT_PACKAGE_ID" NUMBER, "SIZE_FRACTION" VARCHAR2(250 BYTE), "HEALTH_DISEASE_STAT" VARCHAR2(250 BYTE))
